kind: pipeline
type: docker
name: default

steps:
        - name: test
          image: alpine
          commands:
                  - pwd
                  - ls

        - name: Deploy to FTP server
          image: cschlosser/drone-ftps
          environment:
                  FTP_USERNAME:
                          from_secret: ftp_username
                  FTP_PASSWORD:
                          from_secret: ftp_password
                  PLUGIN_SECURE: false
                  PLUGIN_VERIFY: false
                  PLUGIN_HOSTNAME: sftp://test.deligraph.com
                  PLUGIN_SRC_DIR: /
                  PLUGIN_DEST_DIR: /home/testdeligraph/www/wp-content/themes/Deligraph-v3
                  PLUGIN_AUTO_CONFIRM: true
                  PLUGIN_DEBUG: true
                  PLUGIN_ONLY_NEWER: true
